API Explorer 936 endpoints

Get All Bank Account Balances

GET /obp/v7.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/balances

OBPv5.1.0-getAllBankAccountBalances No role required AccountBalance

Get all Balances for a Bank Account.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0

BANK_ID: gh.29.uk

JSON response body fields (6)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
balance_amount
50.89
balance_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
balance_type
openingBooked
balances
balances
bank_id
gh.29.uk
Example success response
{
  "balances": [
    {
      "bank_id": "gh.29.uk",
      "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
      "balance_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "balance_type": "openingBooked",
      "balance_amount": "50.89"
    }
  ]
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
  • OBP-20022: View does not permit the access.
  • OBP-50000: Unknown Error.
Implemented by OBPv5.1.0 getAllBankAccountBalances Originally /obp/v5.1.0/banks/BANK_ID/accounts/ACCOUNT_ID/balances